ru.bitel.bgbilling.modules.tv.api.server

## Class ProductManager.Entry

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.api.server.ProductManager.Entry

- Enclosing class:
    ProductManager

      public static class ProductManager.Entry
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `accountId`
    `int` | `activationModeId`
    `java.math.BigDecimal` | `activationPrice`
    `java.util.Date` | `activationTime`
    `java.lang.String` | `deviceProductId`
    `short` | `deviceState`
    `int` | `productId`
    `java.util.Date` | `productPeriodActivationTime`
    `int` | `productPeriodFlags`
    `int` | `productPeriodId`
    `java.util.Date` | `productPeriodProlongationTime` если период пропорциональный, то в prolongationTime лежит время, с которого период начался бы, будь не пропорциональным (например, в случае выровненных по отношению друг к другу периодов)
    `java.util.Date` | `productPeriodTimeFrom`
    `java.util.Date` | `productPeriodTimeTo`
    `ProductSpec` | `productSpec`
    `int` | `productSpecId`
    `java.util.Date` | `productTimeFrom`
    `java.util.Date` | `productTimeTo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Entry(int accountId, int productPeriodId, java.util.Date productPeriodActivationTime, java.util.Date productPeriodTimeFrom, java.util.Date productPeriodTimeTo, int productPeriodFlags, int productId, int productSpecId, ProductSpec productSpec, int activationModeId, java.util.Date activationTime, java.math.BigDecimal activationPrice, java.util.Date productTimeFrom, java.util.Date productTimeTo, java.lang.String deviceProductId, short deviceState, java.util.Date productPeriodProlongationTime)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Product` | `toProduct(int contractId, int accountId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### accountId

          public final int accountId

    - #### productPeriodId

          public final int productPeriodId

    - #### productPeriodActivationTime

          public final java.util.Date productPeriodActivationTime

    - #### productPeriodTimeFrom

          public final java.util.Date productPeriodTimeFrom

    - #### productPeriodTimeTo

          public final java.util.Date productPeriodTimeTo

    - #### productPeriodProlongationTime

          public final java.util.Date productPeriodProlongationTime

      если период пропорциональный, то в prolongationTime лежит время, с которого период начался бы, будь не пропорциональным (например, в случае выровненных по отношению друг к другу периодов)

    - #### productPeriodFlags

          public final int productPeriodFlags

    - #### productId

          public final int productId

    - #### productSpecId

          public final int productSpecId

    - #### productSpec

          public final ProductSpec productSpec

    - #### activationModeId

          public final int activationModeId

    - #### activationTime

          public final java.util.Date activationTime

    - #### activationPrice

          public final java.math.BigDecimal activationPrice

    - #### productTimeFrom

          public final java.util.Date productTimeFrom

    - #### productTimeTo

          public final java.util.Date productTimeTo

    - #### deviceProductId

          public final java.lang.String deviceProductId

    - #### deviceState

          public final short deviceState

  - ### Constructor Detail

    - #### Entry

          public Entry(int accountId,
                       int productPeriodId,
                       java.util.Date productPeriodActivationTime,
                       java.util.Date productPeriodTimeFrom,
                       java.util.Date productPeriodTimeTo,
                       int productPeriodFlags,
                       int productId,
                       int productSpecId,
                       ProductSpec productSpec,
                       int activationModeId,
                       java.util.Date activationTime,
                       java.math.BigDecimal activationPrice,
                       java.util.Date productTimeFrom,
                       java.util.Date productTimeTo,
                       java.lang.String deviceProductId,
                       short deviceState,
                       java.util.Date productPeriodProlongationTime)

  - ### Method Detail

    - #### toProduct

          public Product toProduct(int contractId,
                                   int accountId)